<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="4.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:fn="http://www.w3.org/2005/xpath-functions"
  xmlns:map="http://www.w3.org/2005/xpath-functions/map"
  xmlns:math="http://www.w3.org/2005/xpath-functions/math"
  xmlns:array="http://www.w3.org/2005/xpath-functions/array"
  xmlns:tm="http://www.datenverdrahten.de/tm"
  xmlns="http://www.w3.org/1999/xhtml"
  exclude-result-prefixes="#all"
  expand-text="yes">

  <!-- by T. Meinike 11/22 -->

  <xsl:output method="xml" version="1.0" html-version="5" encoding="UTF-8"
    indent="yes" include-content-type="no" omit-xml-declaration="yes"/>

  <!-- Rückgabe des Datums für beide Eingabe-Typen -->
  <xsl:function name="tm:union_test" as="xs:string">
    <xsl:param name="union_arg" as="union(xs:date, xs:dateTime)"/>
    <xsl:sequence select="fn:substring(xs:string($union_arg), 1, 10)"/>
  </xsl:function>

  <xsl:template name="xsl:initial-template">

    <xsl:text disable-output-escaping="yes">&lt;!DOCTYPE html>&#xA;</xsl:text>
    <html lang="de">
      <head>
        <meta charset="UTF-8"/>
        <title>Union Type</title>
        <style>* {{ font-family: sans-serif; }}</style>
      </head>
      <body>
        <h1>Union Type</h1>

        <xsl:variable name="d" select="fn:current-date()"/>
        <xsl:variable name="dt" select="fn:current-dateTime()"/>

        <p>{tm:union_test($d)}</p>  <!-- YYYY-MM-DD -->
        <p>{tm:union_test($dt)}</p> <!-- YYYY-MM-DD -->
      </body>
    </html>

  </xsl:template>

</xsl:stylesheet>